# CYR_EXPIRE

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

*

## NAME

cyr_expire − expire messages and duplicate delivery database entries

## SYNOPSIS

cyr_expire [ −C config-file ] [ −D delete-days ] −E expire-days [ −X expunge-days ] [ −p mailbox-prefix ] [ −v ]

## DESCRIPTION

Cyr_expire is used to expire messages and duplicate delivery database entries. Cyr_expire also cleanses mailboxes of partially expunged messages (when using the "delayed" expunge mode). The expiration of messages is controlled by the /vendor/cmu/cyrus-imapd/expire mailbox annotation which specifies the age (in days) of messages in the given mailbox that should be deleted. Any duplicate delivery database entries which correspond to the mailbox are also deleted at the same frequency.

The value of the /vendor/cmu/cyrus-imapd/expire annotation is inherited by all children of the given mailbox, so an entire mailbox tree can be expired by seting a single annotation on the root of that tree. If a mailbox does not have a /vendor/cmu/cyrus-imapd/expire annotation set on it (or does not inherit one), then no messages are expired from the mailbox.

Cyr_expire reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

−C config-file

Read configuration options from config-file.

−D delete-days

Remove previously deleted mailboxes older than delete-days (when using the "delayed" delete mode).

−E expire-days

Prune the duplicate database of entries older than expire-days. This value is only used for entries which do not have a corresponding /vendor/cmu/cyrus-imapd/expire mailbox annotation.

−X expunge-days

Expunge previously deleted messages older than expunge-days (when using the "delayed" expunge mode).

| −x |  | Do not expunge messages even if using delayed expunge mode (reduces the IO hit considerably, allowing you to run cyr_expire frequently to clean up the duplicate database without overloading your server)

−p mailbox-prefix

Only find mailboxes starting with this prefix. e.g. "user.justgotspammedlots"

| −v |  | Enable verbose output.
| −a |  | Skip the annotation lookup, so all /vendor/cmu/cyrus-imapd/expire annotations are ignored entirely. It behaves as if they were not set, so only expire-days is considered for all mailboxes.

## FILES

/etc/imapd.conf

## SEE ALSO

imapd.conf(5), master(8)